---
lang: en
title: 'API docs: repository.defaultkeyvaluerepository.keys'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.defaultkeyvaluerepository.keys.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [DefaultKeyValueRepository](./repository.defaultkeyvaluerepository.md) &gt; [keys](./repository.defaultkeyvaluerepository.keys.md)

## DefaultKeyValueRepository.keys() method

<b>Signature:</b>

```typescript
keys(filter?: KeyValueFilter, options?: Options): AsyncIterable<string>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  filter | <code>KeyValueFilter</code> |  |
|  options | <code>Options</code> |  |

<b>Returns:</b>

`AsyncIterable<string>`


